Subject: AIX and Pine Compose Bug Fix

From: Dan Cogliano <[email-masked]>
Date: Fri, 11 Oct 1996 16:21:17 -0400 (EDT)

After getting enough complaints from users about AIX Pine 3.95 hanging
when starting the compose function, I decided to look at the Pine source
code to see if I could determine the problem.  The problem is that Pine
itself is compiled using terminfo support, while the pico module is
compiled using termcap support, and when switching from Pine to Pico it
gets confused (thanks to [email-masked] who also
spent the time to independently discover this problem).

To fix, you need to have Pine and Pico be consistant in using either
termcap or terminfo, but not both. Since terminfo is better supported for
AIX, I picked terminfo. In the pico directory:

Modify either makefile.a41 or makefile.a32, depending on which
version of AIX you are using, by changing tcap.o to tinfo.o and tcap.c to
tinfo.c.

In os_unix.h, change the line just above "#defined TERMINFO 1" by
appending " || defined(a32) || defined(a41)". This is line 94 in the 3.95
release, but don't rely on the line # for other versions.

[email-masked] also mentioned a fix to tinfo.c by changing the
following lines:

original line: setupterm (0, 1, &err);
modified line: setupterm((char *)0, 1, &err);

original line: setupterm(0, 1, 0);
modified line: setupterm((char *)0, 1, (int *)0);

I sent a bug report about the os_unix.h and makefile fixes, and I hope
that the Pine folks incorporate these changes in the next release, since
the fix is included in the bug report (don't they wish all bug reports
included their own fixes!).

########################################################################
Dan Cogliano <[email-masked]> 
State of Maryland Judicial Information Systems
2661 Riva Road, Annapolis, MD USA 21401
Phone: (410) 841-1050                                Fax: (410) 794-7170
########################################################################